---
title: "Validation multi agent Transaction"
url: "https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84/operations/validationMultiAgentTransaction1"
---

> Full API specification: https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84.md

# Validation multi agent Transaction

`POST` `/policy/v1/transactions/{planCode}/{policyNumber}/multi-agent/validation`

Operation ID: `validationMultiAgentTransaction1`

## Path parameters

- `planCode` (string, required)
- `policyNumber` (string, required) - Policy Number

## Request body (required)

Content types: `application/json`

## Responses

- `200` - Multi Agent Change Success Response.yaml
- `400` - Multi Agent Change Failure Response.yaml
- `500` - Internal server error. Please check server logs for more details.

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia Policy Transactions API.
  version: 1.0.8
servers:
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
paths:
  /policy/v1/transactions/{planCode}/{policyNumber}/multi-agent/validation:
    post:
      x-kong-plugin-pre-function:
        config:
          access:
            - >
              local path = kong.request.get_path()

              local new_path = path:gsub("^/policy/v1/transactions",
              "/bpm/v1/policies")

              kong.service.request.set_path(new_path)
      tags:
        - Non Financial Transactions
      summary: Validation multi agent Transaction
      operationId: validationMultiAgentTransaction1
      parameters:
        - name: planCode
          in: path
          required: true
          schema:
            type: string
        - in: path
          name: policyNumber
          schema:
            type: string
          required: true
          description: Policy Number
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/AgentChangeDto"
        required: true
      responses:
        "200":
          description: Multi Agent Change Success Response.yaml
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionResponse"
              examples:
                success:
                  $ref: "#/components/examples/successTransactionResponse"
        "400":
          description: Multi Agent Change Failure Response.yaml
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionResponse"
              examples:
                failure:
                  $ref: "#/components/examples/failureTransactionResponse"
        "500":
          description: Internal server error. Please check server logs for more details.
      security:
        - Auth0: []
security:
  - Auth0: []
components:
  schemas:
    AgentChangeDto:
      type: object
      properties:
        fromAOR:
          type: string
          example: "744760"
          description: From AOR
        toAOR:
          type: string
          example: "744760"
          description: To AOR
        fromAgentId:
          type: string
          example: "744760"
          description: From agent id
        toAgentId:
          type: string
          example: "744760"
          description: To agent id
        policyId:
          type: string
          example: FNWL0020303021
          description: Policy number
        caseId:
          type: string
          example: CA0004789
          description: Case id
        partyRole:
          type: string
          example: PRIMARYWRITINGAGENT
          description: Party role
        signatures:
          type: array
          description: List of signatures associated with the change
          items:
            $ref: "#/components/schemas/SignatureDto"
        partyUpdates:
          type: array
          description: Party updates list
          items:
            type: object
            properties:
              action:
                type: string
                description: Action to perform on the party (e.g. ADD, UPDATE, DELETE)
                example: ADD
              customerId:
                type: string
                description: Customer ID associated with the party
                example: CUST12345
              relationshipToParty:
                type: string
                description: Relationship of this party to another party
                example: OWNER
              partyRole:
                type: string
                description: Role of the party in the policy (e.g. PRIMARYWRITINGAGENT,
                  PRIMARYSERVICINGAGENT)
                example: PRIMARYWRITINGAGENT
              partyStatus:
                type: string
                description: Current status of the party (e.g. ACTIVE, INACTIVE)
                example: ACTIVE
              searchAgentId:
                type: string
                description: Agent ID used for searching or linking purposes
                example: AGT10001
              party:
                $ref: "#/components/schemas/Party"
    TransactionResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
            - failure
        error:
          type: array
          items:
            $ref: "#/components/schemas/Error"
        quoteResponse:
          type: object
    SignatureDto:
      type: object
      description: Signature details for the agent change
      properties:
        signType:
          type: string
          description: Type of the signature (e.g., digital, physical)
          example: DIGITAL
        isSignedPresent:
          type: boolean
          description: Indicates if a signature is present
          example: true
        signDate:
          type: string
          format: date
          description: Date when the signature was applied
          example: 2024-01-01
        signPrintName:
          type: string
          description: Name of the person signing
          example: John Doe
        signGuarantee:
          type: string
          description: Guarantee associated with the signature
          example: FULL
        signDesignation:
          type: string
          description: Designation of the signer
          example: MANAGER
    Party:
      type: object
      properties:
        startDate:
          type: string
          format: date
          pattern: ([0-9]{4})-([0-9]{2})-([0-9]{2})
          description: Date (with pattern "yyyy-mm-dd")
        endDate:
          type: string
          format: date
          pattern: ([0-9]{4})-([0-9]{2})-([0-9]{2})
          description: Date (with pattern "yyyy-mm-dd")
        partyId:
          type: string
          description: Party ID at Policy Level that comes in from External source (for
            Everly it will be Acord 103)
          example: Party_PB_Primary_Bene_1
        partyType:
          type: string
          enum:
            - Individual
            - Organization
          description: Defines Party type example individual or Organization. For Insured
            this should always be Individual
        firstName:
          type: string
          description: The first name of the party
          example: Karen
        middleName:
          type: string
          description: The middle name of the party
          example: Anne
        lastName:
          type: string
          description: The last name of the party
          example: Bates
        fullName:
          type: string
          description: Fullname of the party. Available only when PartyType is
            Trust/Organization
          example: Karen Anne Bates
        prefix:
          type: string
          enum:
            - MR
            - MS
            - MISS
            - MRS
          description: The prefix of the party party name
        suffix:
          type: string
          enum:
            - JR
            - SN
            - I
            - II
            - III
          description: The suffix of the party party name
        gender:
          type: string
          enum:
            - MALE
            - FEMALE
            - UNISEX
          description: Party gender
        dateOfBirth:
          type: string
          format: date
          pattern: ([0-9]{4})-([0-9]{2})-([0-9]{2})
          description: Party date of birth (with pattern "yyyy-mm-dd")
        attainedAge:
          type: number
          format: int32
          description: Party age calculated by Date of Birth
          example: 55
        birthCountry:
          $ref: "#/components/schemas/Country"
        birthState:
          $ref: "#/components/schemas/State"
        doingBusinessAs:
          type: string
          description: The name the organization is commonly known as
          example: TBD
        abbreviatedName:
          type: string
          description: TBD
          example: TBD
        organizationCode:
          type: string
          description: Code to Identify organization
          example: TBD
        entityType:
          type: string
          enum:
            - SOLEPROPRIETORSHIP
            - GENERALPARTNERSHIP
            - LIMITEDPARTNERSHIP
            - CCORPORATION
            - SCORPORATION
            - LIMITEDLIABILITYCOMPANY
            - CHARITABLEORGANIZATION
            - ESTATE
            - TRUST
            - CORPORATION
          description: Type of Organization Structure (Partnership, corporation etc)
        trustDate:
          type: string
          format: date
          pattern: ([0-9]{4})-([0-9]{2})-([0-9]{2})
          description: The trust agreement issued date to the party
        trustTitle:
          type: string
          description: The title of the trustee
          example: TBD
        trustAccessCode:
          type: string
          description: Access code of the trustee
          example: TBD
        preferredCommunicationType:
          type: string
          enum:
            - EMAIL
            - MAIL
            - PHONE
            - FAX
            - TEXT
            - NONE
            - OTHER
          description: The preference of communication such as phone, email or mail
        text:
          type: string
          example: in-person or video call id https://company.us/j/1234567890
          description: If type OTHER, then provide further info using text.
        preferredAddressIndicator:
          type: string
          enum:
            - YES
            - NO
          description: Indicates whether the address being added should be set as default
            or not. Yes - address being entered is default.
        formerName:
          $ref: "#/components/schemas/FormerName"
        identifications:
          type: array
          items:
            $ref: "#/components/schemas/Identification"
        addresses:
          type: array
          items:
            $ref: "#/components/schemas/Address"
        phones:
          type: array
          items:
            $ref: "#/components/schemas/Phone"
        emails:
          type: array
          items:
            $ref: "#/components/schemas/Email"
        bankDetails:
          type: array
          items:
            $ref: "#/components/schemas/BankAccount"
        beneficiaryAllocations:
          type: array
          items:
            $ref: "#/components/schemas/BeneficiaryAllocation"
        taxWithholdings:
          type: array
          items:
            $ref: "#/components/schemas/TaxWithholding"
    Error:
      type: object
      properties:
        errorCode:
          type: string
          example: BPM.NM.002
          description: This is the NIGO id generated by BPM system
        attribute:
          type: string
        error:
          type: string
          description: This is the error generated by BPM system
        resolution:
          type: string
          description: Resolution generated by BPM system to resolve the error
    Country:
      type: string
      enum:
        - US
        - CA
        - RU
        - EG
        - ZA
        - GR
        - NL
        - BE
        - FR
        - ES
        - HU
        - IT
        - RO
        - CH
        - AT
        - GB
        - DK
        - SE
        - NO
        - PL
        - DE
        - PE
        - MX
        - CU
        - AR
        - BR
        - CL
        - CO
        - VE
        - MY
        - AU
        - ID
        - PH
        - NZ
        - SG
        - TH
        - JP
        - VN
        - CN
        - TR
        - IN
        - PK
        - AF
        - LK
        - IR
        - MA
        - DZ
        - TN
        - LY
        - GM
        - SN
        - MR
        - ML
        - GN
        - BF
        - NE
        - TG
        - BJ
        - MU
        - LR
        - SL
        - GH
        - NG
        - CF
        - TD
        - CM
        - CV
        - ST
        - GQ
        - GA
        - BS
        - AO
        - BB
        - AX
        - SD
        - RW
        - ET
        - SO
        - DJ
        - KE
        - TZ
        - UG
        - BI
        - MZ
        - ZM
        - MG
        - RE
        - ZW
        - NA
        - MW
        - LS
        - BW
        - AG
        - KM
        - GW
        - CD
        - VG
        - SH
        - AW
        - FO
        - GL
        - KY
        - GI
        - PT
        - LU
        - IE
        - IS
        - AL
        - MT
        - CY
        - FI
        - BG
        - GG
        - LT
        - LV
        - EE
        - MD
        - AM
        - BY
        - AD
        - SM
        - UA
        - HR
        - SI
        - BA
        - MK
        - XK
        - CZ
        - SK
        - LI
        - BM
        - GD
        - FK
        - BZ
        - GT
        - SV
        - HN
        - NI
        - CR
        - PM
        - HT
        - PR
        - VI
        - GS
        - SX
        - BQ
        - GP
        - BO
        - GY
        - EC
        - GF
        - PY
        - MQ
        - SR
        - UY
        - AN
        - TC
        - BL
        - MF
        - MS
        - GU
        - AQ
        - BN
        - NR
        - PG
        - TO
        - SB
        - VU
        - FJ
        - WF
        - CK
        - NU
        - AS
        - KI
        - NC
        - TV
        - PF
        - MP
        - PW
        - MH
        - FM
        - SS
        - LC
        - DM
        - VC
        - DO
        - HK
        - MO
        - KH
        - LA
        - TT
        - KN
        - JM
        - BD
        - TW
        - MM
        - KR
        - KP
        - LB
        - JO
        - SY
        - IQ
        - KW
        - SA
        - YE
        - OM
        - AE
        - IL
        - BH
        - QA
        - BT
        - NP
        - TJ
        - TM
        - AZ
        - GE
        - UZ
        - AI
        - PA
        - CI
        - ER
        - KZ
        - KG
        - CC
        - MN
        - BV
        - SC
        - IO
        - WS
        - TL
        - TF
        - YT
        - PN
        - SJ
        - TK
        - UM
        - EH
        - MV
        - CX
        - NF
        - CW
        - CG
        - MC
        - VA
        - SZ
        - PS
        - JE
        - IM
        - RS
        - ME
        - HM
      description: Abbreviated names for countries
    State:
      type: string
      example: AL
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DC
        - DE
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
      description: Abbreviated names for states
    FormerName:
      allOf:
        - $ref: "#/components/schemas/PartyName"
    Identification:
      type: object
      properties:
        identificationType:
          type: string
          enum:
            - PASSPORT
            - STATEPHOTOID
            - DRIVERSLICENSENUMBER
            - SOCIALSECURITYNUMBER
            - TAXPAYERIDENTIFICATIONNUMBER
            - OTHER
          description: The suffix of the party party name
        identificationValue:
          type: string
        issueState:
          $ref: "#/components/schemas/State"
        issueCountry:
          $ref: "#/components/schemas/Country"
    Address:
      type: object
      properties:
        startDate:
          type: string
          format: date
          pattern: ([0-9]{4})-([0-9]{2})-([0-9]{2})
          description: Date (with pattern "yyyy-mm-dd")
        endDate:
          type: string
          format: date
          pattern: ([0-9]{4})-([0-9]{2})-([0-9]{2})
          description: Date (with pattern "yyyy-mm-dd")
        addressType:
          type: string
          enum:
            - RESIDENCE
            - BUSINESS
            - POBOX
            - SEASONAL
            - OTHER
          description: Address type
        addressLine1:
          type: string
          example: 1112 Pickle Street
          description: First line of address
        addressLine2:
          type: string
          example: South Jersey
          description: Second line of address
        addressLine3:
          type: string
          example: 1234 Post box
          description: Third line of address
        city:
          type: string
          example: Houston
          description: Name of the city
        state:
          $ref: "#/components/schemas/State"
        zipCode:
          type: string
          example: "66636"
          description: zip code
        zipCodeExtension:
          type: string
          example: "1232"
          description: zip code extension
        country:
          $ref: "#/components/schemas/Country"
    Phone:
      type: object
      properties:
        startDate:
          type: string
          format: date
          pattern: ([0-9]{4})-([0-9]{2})-([0-9]{2})
          description: Date (with pattern "yyyy-mm-dd")
        endDate:
          type: string
          format: date
          pattern: ([0-9]{4})-([0-9]{2})-([0-9]{2})
          description: Date (with pattern "yyyy-mm-dd")
        phoneType:
          type: string
          enum:
            - MOBILE
            - HOME
            - BUSINESS
            - CLAIMCENTER
            - CUSTOMERSERVICE
            - CORPORATEOFFICE
            - FAX
            - OTHER
          description: Phone type
        countryCode:
          type: string
          example: "011"
          description: Country code
        areaCode:
          type: string
          example: "973"
          description: Area code
        dialNumber:
          type: string
          example: "765789"
          description: Dial number
        extension:
          type: string
          example: "131312"
          description: Extension
        bestTime:
          type: string
          example: "131312"
          description: Best time
        timezone:
          type: string
          example: "131312"
          description: Timezone for the entered phone details
    Email:
      type: object
      properties:
        startDate:
          type: string
          format: date
          pattern: ([0-9]{4})-([0-9]{2})-([0-9]{2})
          description: Date (with pattern "yyyy-mm-dd")
        endDate:
          type: string
          format: date
          pattern: ([0-9]{4})-([0-9]{2})-([0-9]{2})
          description: Date (with pattern "yyyy-mm-dd").If provided by the user, the
            system will apply an end date to the emailaddress, ensuring that a
            new emailaddress is not generated.
        emailType:
          type: string
          enum:
            - PERSONAL
            - BUSINESS
            - CUSTOMERSERVICE
            - OTHER
          description: Email type
        emailAddress:
          type: string
          example: will.smith@gmail.com
          description: Type of the email. PERSONAL for personal emails, BUSINESS for
            business emails, CUSTOMERSERVICE for customer service emails, OTHER
            for any other type of emails.
      required:
        - startDate
        - emailType
        - emailAddress
    BankAccount:
      type: object
      properties:
        startDate:
          type: string
          format: date
          pattern: ([0-9]{4})-([0-9]{2})-([0-9]{2})
          description: Date (with pattern "yyyy-mm-dd")
        endDate:
          type: string
          format: date
          pattern: ([0-9]{4})-([0-9]{2})-([0-9]{2})
          description: Date (with pattern "yyyy-mm-dd")
        nameOnAccount:
          type: string
          example: abcdqwe
          description: Name of the registered user
        accountStatus:
          type: string
          enum:
            - ACTIVEBANKACCOUNT
            - TERMINATEDBANKACCOUNT
          description: Account Status
        accountType:
          type: string
          enum:
            - CHECKING
            - SAVINGS
            - CREDITCARDACCOUNT
            - DEBITCARDACCOUNT
            - BROKERAGEACCOUNT
            - CERTIFICATEOFDEPOSITACCOUNT
          description: Account Type
        accountNumber:
          type: string
          example: "34567777745678"
          description: Account Number
        routingNumber:
          type: string
          example: Routing_Number
          description: Routing Number
        internationalBankAccountNumber:
          type: string
          example: ibaNumber_66
          description: internationalBankAccountNumber
        branchName:
          type: string
          example: branch_66
          description: branch name
        branchPhoneNumber:
          type: string
          example: "7766667777"
          description: Branch Phone Number
        branchAddress:
          $ref: "#/components/schemas/BranchAddress"
    BeneficiaryAllocation:
      type: object
      properties:
        partyPolicyId:
          type: string
          example: Party_OW_3
          description: party policy id
        allocationPercentage:
          type: number
          format: double
          example: 10
          description: TBD
    TaxWithholding:
      type: object
      properties:
        appliesToPartyId:
          type: string
          description: TBD
          example: Party_PI_1
        taxWithholdingType:
          type: string
          enum:
            - FEDERAL
            - STATE
            - BACKUP
            - NRA
          description: TBD
        taxRateToUse:
          type: string
          enum:
            - NOWITHHOLDINGELECTED
            - USEVALUESENTERED
            - NOWITHHOLDINGALLOWED
            - USEDEFAULTTABLE
          description: TBD
        filingStatus:
          type: string
          enum:
            - SINGLE
            - DEFAULT
            - MARRIED
          description: TBD
        dollar:
          type: number
          format: double
          description: TBD
          example: 0
        percentage:
          type: number
          format: double
          description: TBD
          example: 0
        exemptions:
          type: string
          description: TBD
          example: TBD
        taxJurisdiction:
          type: string
          description: TBD, but applies only for PartyType - Owner,Payee
          example: USA_WY
    PartyName:
      type: object
      properties:
        firstName:
          type: string
          example: John
          description: First name
        middleName:
          type: string
          example: William
          description: Middle name
        lastName:
          type: string
          example: Doe
          description: Last Name
        fullName:
          type: string
          example: John William Doe
          description: Full Name
        prefix:
          type: string
          enum:
            - MR
            - MS
            - MISS
            - MRS
          description: Prefix Type
        suffix:
          type: string
          enum:
            - JR
            - SN
            - I
            - II
            - III
          description: Suffix Type
        doingBusinessAs:
          type: string
          example: TPA
          description: Doing Business As
        abbreviatedName:
          type: string
          example: AG
          description: Abbreviated Name
    BranchAddress:
      type: object
      properties:
        addressType:
          type: string
          enum:
            - RESIDENCE
            - BUSINESS
            - POBOX
            - SEASONAL
            - OTHER
          description: Address type
        addressLine1:
          type: string
          example: 1112 Pickle Street
          description: First line of address
        addressLine2:
          type: string
          example: South Jersey
          description: Second line of address
        addressLine3:
          type: string
          example: 1234 Post box
          description: Third line of address
        city:
          type: string
          example: Houston
          description: Name of the city
        state:
          type: string
          example: TX
          enum:
            - AL
            - AK
            - AZ
            - AR
            - CA
            - CO
            - CT
            - DC
            - DE
            - FL
            - GA
            - HI
            - ID
            - IL
            - IN
            - IA
            - KS
            - KY
            - LA
            - ME
            - MD
            - MA
            - MI
            - MN
            - MS
            - MO
            - MT
            - NE
            - NV
            - NH
            - NJ
            - NM
            - NY
            - NC
            - ND
            - OH
            - OK
            - OR
            - PA
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VT
            - VA
            - WA
            - WV
            - WI
            - WY
          description: State
        zipCode:
          type: string
          example: "66636"
          description: Preferred address indicator
        zipCodeExtension:
          type: string
          example: "1232"
          description: zip code extension
        country:
          type: string
          enum:
            - US
            - CA
            - RU
            - EG
            - ZA
            - GR
            - NL
            - BE
            - FR
            - ES
            - HU
            - IT
            - RO
            - CH
            - AT
            - GB
            - DK
            - SE
            - NO
            - PL
            - DE
            - PE
            - MX
            - CU
            - AR
            - BR
            - CL
            - CO
            - VE
            - MY
            - AU
            - ID
            - PH
            - NZ
            - SG
            - TH
            - JP
            - VN
            - CN
            - TR
            - IN
            - PK
            - AF
            - LK
            - IR
            - MA
            - DZ
            - TN
            - LY
            - GM
            - SN
            - MR
            - ML
            - GN
            - BF
            - NE
            - TG
            - BJ
            - MU
            - LR
            - SL
            - GH
            - NG
            - CF
            - TD
            - CM
            - CV
            - ST
            - GQ
            - GA
            - BS
            - AO
            - BB
            - AX
            - SD
            - RW
            - ET
            - SO
            - DJ
            - KE
            - TZ
            - UG
            - BI
            - MZ
            - ZM
            - MG
            - RE
            - ZW
            - NA
            - MW
            - LS
            - BW
            - AG
            - KM
            - GW
            - CD
            - VG
            - SH
            - AW
            - FO
            - GL
            - KY
            - GI
            - PT
            - LU
            - IE
            - IS
            - AL
            - MT
            - CY
            - FI
            - BG
            - GG
            - LT
            - LV
            - EE
            - MD
            - AM
            - BY
            - AD
            - SM
            - UA
            - HR
            - SI
            - BA
            - MK
            - XK
            - CZ
            - SK
            - LI
            - BM
            - GD
            - FK
            - BZ
            - GT
            - SV
            - HN
            - NI
            - CR
            - PM
            - HT
            - PR
            - VI
            - GS
            - SX
            - BQ
            - GP
            - BO
            - GY
            - EC
            - GF
            - PY
            - MQ
            - SR
            - UY
            - AN
            - TC
            - BL
            - MF
            - MS
            - GU
            - AQ
            - BN
            - NR
            - PG
            - TO
            - SB
            - VU
            - FJ
            - WF
            - CK
            - NU
            - AS
            - KI
            - NC
            - TV
            - PF
            - MP
            - PW
            - MH
            - FM
            - SS
            - LC
            - DM
            - VC
            - DO
            - HK
            - MO
            - KH
            - LA
            - TT
            - KN
            - JM
            - BD
            - TW
            - MM
            - KR
            - KP
            - LB
            - JO
            - SY
            - IQ
            - KW
            - SA
            - YE
            - OM
            - AE
            - IL
            - BH
            - QA
            - BT
            - NP
            - TJ
            - TM
            - AZ
            - GE
            - UZ
            - AI
            - PA
            - CI
            - ER
            - KZ
            - KG
            - CC
            - MN
            - BV
            - SC
            - IO
            - WS
            - TL
            - TF
            - YT
            - PN
            - SJ
            - TK
            - UM
            - EH
            - MV
            - CX
            - NF
            - CW
            - CG
            - MC
            - VA
            - SZ
            - PS
            - JE
            - IM
            - RS
            - ME
            - HM
          description: Preferred address indicator
  examples:
    successTransactionResponse:
      value:
        status: success
        quoteResponse:
          status: Success
          message: Request successful
          data:
            correlationId: 657b717dcf55411abf9ef067
            transactionAmounts:
              requestedAmount: 25
              calculatedAmount: null
              appliedAmount: 25
            policy:
              id: 659fdafc075b950b7bd00feb
              event: InterestCreditMatch
              carrierID: SB
              tpaID: tpa-12345
              lineOfBusiness: LIFE
              planName: SB UL Premium Match
              productType: UNIVERSALLIFE
              marketingName: Everly Life
              shortName: SB UL
              distribution: THIRDPARTYDIRECTTOCONSUMER
              banding: NOPREMIUMBANDING
              planCode: SBFIXUL1
              glPlanCode: V2201
              holdingForm: INDIVIDUAL
              renewable: null
              qualificationType: NONQUALIFIED
              policyTerm: 20
              policyYear: 1
              monthOfYear: 1
              policyNumber: BPM0000001
              policyStatus: ACTIVE
              nonforfeitureOption: null
              issueType: FULLUNDERWRITING
              residenceState: VT
              issueState: VT
              premiumFrequency: MONTHLY
              currency: USD
              policyStartDate: 2023-12-27
              applicationDate: 2023-12-27
              issueDate: 2023-12-27
              effectiveDate: 2024-01-11T00:00:00.000Z
              contestabilityStartDate: 2023-12-27
              contestabilityEndDate: 2025-12-26
              policyDeliveryDate: 2023-12-27
              previousPolicyAnniversaryDate: 2023-12-27
              previousPolicyMonthiversaryDate: 2023-12-27
              nextAnniversaryDate: 2024-12-27
              maturityDate: 2125-12-26
              policyTerminationDate: null
              dateOfDeath: null
              initialPaymentExpiryDate: 2024-01-10
              nextMonthivesaryDate: 2024-01-27
              costBasis: 105
              costBasisDate: 2024-11-04
              conversionDate: null
              policyValues:
                beginningAcctValue: 35.759837
                endingAcctValue: 60.759837
                minRequiredAcctValue: 0
                acctValueByPolicyYear: 0
                unloanedPortionOfAcctValue: 60.759837
                loanedPortionOfAcctValue: 0
                surrenderValue: 60.759837
                netAmountAtRisk: 499920
                initialPremiumRequestAmount: 80
                initialPremiumAppliedAmount: 80
                initialPaymentAmountReceivedDate: 2023-12-27
                cumulativePremSinceIssue: 105
                totalYTDPremiumAmount: 105
                mecAuthorization: false
                projectedLapseIndicator: null
                policyGainAmount: 0
              loanValues:
                totalLoanBalance: 0
                totalLoanPrincipal: 0
                loanPayoffAmount: 0
                maxLoanAmount: 60.759837
                minLoanAmount: 0
                totalLoanAccruedInterest: 0
                lastLoanInterestDueDate: null
                totalNumberOfLoan: 0
                loanInterestMethod: ARREARS
                totalYTDLoanTaken: 0
                loanRepaymentType: null
                minLoanRepayment: 1
              withDrawalValues:
                totalWithdrawalAmount: 0
                freeWithdrawalAmount: null
                minWithdrawalAmount: 1
                maxWithdrawalAmount: 60.759837
                annualWithLimNoCovDecrease: null
                maxWithdrawalRequestDuringVestingPeriod: 1
                maxWithdrawalRequestAfterVestingPeriod: 12
                totalYTDWithdrawalTaken: 0
                numberOfWithdrawal: 0
                withdrawalAllowedStartDate: 2023-12-27
              testValues:
                guidelinePremiumTestDate: 2024-11-04
                definitionOfLifeInsurance: GPT
                guidelineSinglePremium: 68933.997746
                guidelineLevelPremium: 5122.813261
                amountExcessToGuideline: 0
                totalGuidelineLevelPremiumSinceIssue: 5122.813261
                mecTestDate: 2024-11-04
                amountExcessToMEC: 0
                mecStatusDate: null
                mecStatus: false
                sevenPayTestBasis: 185
                sevenPayPremium: 25074.702628
                sevenPayStartDate: 2023-12-27
                sevenPayPeriod: 2030-12-26
                sevenPayLimit: 25074.702628
                yearInPeriod: 1
              timestamp: 2024-01-11T12:11:40.723Z
              deathBenefit:
                deathBenefitOption: LEVEL
                dboEffectiveDate: 2023-12-27
                dboChangedEffectiveDate: null
                deathBenefitAgeGuarantee: 38
              coverage:
                id: null
                policyDetailsId: null
                ledgerDocId: null
                timestamp: 2024-01-11T12:11:40.731Z
                totalCoverageAmount: 500000
                cumGrossDeathBenefitAmount: 500000
                minCoverageAmount: 10000
                maxCoverageAmount: 10000000
                coverageChangeEffectiveDate: 2024-12-27
                coverageBand: BAND3
                maxAnnualCoverageChangeAllowedPerPolicy: 1
                minCoverageDecreaseAmount: 10000
                maxCoverageDecreaseAmount: 490000
                maxAgeNoCovAmountDecrease: 120
                coverageAmountDecreaseAllowed: 1
                minCoverageIncreaseAmount: 1
                maxCoverageIncreaseAmount: 9500000
                maxAgeNoCovAmountIncrease: 50
                coverageAmountIncreaseAllowed: 1
                coverageLayers:
                  - coverageID: Base_Coverage
                    coverageType: Base
                    coverageName: SB UL Premium Match
                    productCode: SBFIXUL1
                    currentAmount: 500000
                    orignalCoverageAmount: 500000
                    minCoverageAmount: 10000
                    maxCoverageAmount: 10000000
                    grossDeathBenefitAmount: 500000
                    lowDeathBenefitAmount: 500000
                    coverageChangeAmount: 0
                    coverageEffectiveDate: 2023-12-27
                    coverageChangeEffectiveDate: null
                    coverageTerminationDate: null
                    unitOfCoverage: 500
                    valuePerUnitOfCoverage: 1000
                    premiumFrequency: null
                    guidelineSinglePremium: 68933.997746
                    guidelineLevelPremium: 5122.813261
                    sevenPayPremium: 25074.702628
                    coverageParticipants:
                      - partyID: Party_PI_1
                        issueAge: 18
                        riskClass: Standard Tobacco
                        subStandardRating: None
                        flatExtra:
                          - flatExtraType: null
                            flatExtraDuration: 0
                            flatExtraAmount: 0
                            flatExtraStartDate: null
                  - coverageID: Rider_SBLCHR
                    coverageType: RIDER
                    coverageName: Chronic Illness Accelerated Death Benefit Rider
                    productCode: SBLCHR
                    currentAmount: null
                    orignalCoverageAmount: null
                    minCoverageAmount: null
                    maxCoverageAmount: null
                    grossDeathBenefitAmount: null
                    lowDeathBenefitAmount: null
                    coverageChangeAmount: 0
                    coverageEffectiveDate: 2023-12-27
                    coverageChangeEffectiveDate: null
                    coverageTerminationDate: 2125-12-26
                    unitOfCoverage: null
                    valuePerUnitOfCoverage: null
                    premiumFrequency: null
                    guidelineSinglePremium: null
                    guidelineLevelPremium: null
                    sevenPayPremium: null
                    coverageParticipants:
                      - partyID: Party_PI_1
                        issueAge: 18
                        riskClass: null
                        subStandardRating: null
                        flatExtra: []
                  - coverageID: Rider_SBLCRI
                    coverageType: RIDER
                    coverageName: Critical Illness Accelerated Death Benefit Rider
                    productCode: SBLCRI
                    currentAmount: null
                    orignalCoverageAmount: null
                    minCoverageAmount: null
                    maxCoverageAmount: null
                    grossDeathBenefitAmount: null
                    lowDeathBenefitAmount: null
                    coverageChangeAmount: 0
                    coverageEffectiveDate: 2023-12-27
                    coverageChangeEffectiveDate: null
                    coverageTerminationDate: 2125-12-26
                    unitOfCoverage: null
                    valuePerUnitOfCoverage: null
                    premiumFrequency: null
                    guidelineSinglePremium: null
                    guidelineLevelPremium: null
                    sevenPayPremium: null
                    coverageParticipants:
                      - partyID: Party_PI_1
                        issueAge: 18
                        riskClass: null
                        subStandardRating: null
                        flatExtra: []
                  - coverageID: Rider_SBLTRM
                    coverageType: RIDER
                    coverageName: Terminal Illness Accelerated Death Benefit Rider
                    productCode: SBLTRM
                    currentAmount: null
                    orignalCoverageAmount: null
                    minCoverageAmount: null
                    maxCoverageAmount: null
                    grossDeathBenefitAmount: null
                    lowDeathBenefitAmount: null
                    coverageChangeAmount: 0
                    coverageEffectiveDate: 2023-12-27
                    coverageChangeEffectiveDate: null
                    coverageTerminationDate: 2125-12-26
                    unitOfCoverage: null
                    valuePerUnitOfCoverage: null
                    premiumFrequency: null
                    guidelineSinglePremium: null
                    guidelineLevelPremium: null
                    sevenPayPremium: null
                    coverageParticipants:
                      - partyID: Party_PI_1
                        issueAge: 18
                        riskClass: null
                        subStandardRating: null
                        flatExtra: []
                  - coverageID: Rider_OPR
                    coverageType: RIDER
                    coverageName: Overloan Protection Rider
                    productCode: SBLOPR
                    currentAmount: null
                    orignalCoverageAmount: null
                    minCoverageAmount: null
                    maxCoverageAmount: null
                    grossDeathBenefitAmount: null
                    lowDeathBenefitAmount: null
                    coverageChangeAmount: 0
                    coverageEffectiveDate: 2023-12-27
                    coverageChangeEffectiveDate: null
                    coverageTerminationDate: 2125-12-26
                    unitOfCoverage: null
                    valuePerUnitOfCoverage: null
                    premiumFrequency: null
                    guidelineSinglePremium: null
                    guidelineLevelPremium: null
                    sevenPayPremium: null
                    coverageParticipants:
                      - partyID: Party_PI_1
                        issueAge: 18
                        riskClass: null
                        subStandardRating: null
                        flatExtra: []
                version: 1
              riders:
                - id: null
                  policyDetailsId: null
                  ledgerDocId: null
                  timestamp: 2024-01-11T12:11:40.729Z
                  type: RIDER
                  riderName: Chronic Illness Accelerated Death Benefit Rider
                  riderElected: ELECTED
                  riderCode: SBLCHR
                  effectiveDate: 2023-12-27
                  terminationDate: 2125-12-26
                  status: ACTIVE
                  coverageID: Rider_SBLCHR
                  amount: null
                  riderParticipant:
                    - insuredID: Party_PI_1
                      insuredAgeAtIssue: 18
                  charge:
                    chargeID: null
                    value: null
                    effectiveRate: null
                    nextEvaluationDate: null
                  riderExerciseCharge: null
                  maxChronicIllnessBenefitPct: 50
                  maxPeriodicPaymentPeriod: 120
                  claimStatus: null
                  riderExerciseChargeRate: null
                  nextEvaluationDate: null
                  riderPaymentDate: null
                  riderPaymentAmount: null
                  paymentMode: null
                  paymentOption: null
                  maxCriticalIllnessBenefitPct: null
                  t1MaxCriticalIllnessBenefitPct: null
                  t1MaxCriticalIllnessBenefitAmount: null
                  t2MaxCriticalIllnessBenefitPct: null
                  t2MaxCriticalIllnessBenefitAmount: null
                  t1CriticalRiderPaymentDate: null
                  t1CriticalRiderPaymentAmount: null
                  t2CriticalRiderPaymentDate: null
                  t2CriticalRiderPaymentAmount: null
                  terminalRiderPaymentAmount: null
                  version: 1
                - id: null
                  policyDetailsId: null
                  ledgerDocId: null
                  timestamp: 2024-01-11T12:11:40.729Z
                  type: RIDER
                  riderName: Critical Illness Accelerated Death Benefit Rider
                  riderElected: ELECTED
                  riderCode: SBLCRI
                  effectiveDate: 2023-12-27
                  terminationDate: 2125-12-26
                  status: ACTIVE
                  coverageID: Rider_SBLCRI
                  amount: null
                  riderParticipant:
                    - insuredID: Party_PI_1
                      insuredAgeAtIssue: 18
                  charge:
                    chargeID: null
                    value: null
                    effectiveRate: null
                    nextEvaluationDate: null
                  riderExerciseCharge: null
                  maxChronicIllnessBenefitPct: null
                  maxPeriodicPaymentPeriod: null
                  claimStatus: null
                  riderExerciseChargeRate: null
                  nextEvaluationDate: null
                  riderPaymentDate: null
                  riderPaymentAmount: null
                  paymentMode: null
                  paymentOption: null
                  maxCriticalIllnessBenefitPct: 50
                  t1MaxCriticalIllnessBenefitPct: 5
                  t1MaxCriticalIllnessBenefitAmount: 5000
                  t2MaxCriticalIllnessBenefitPct: 50
                  t2MaxCriticalIllnessBenefitAmount: 500000
                  t1CriticalRiderPaymentDate: null
                  t1CriticalRiderPaymentAmount: null
                  t2CriticalRiderPaymentDate: null
                  t2CriticalRiderPaymentAmount: null
                  terminalRiderPaymentAmount: null
                  version: 1
                - id: null
                  policyDetailsId: null
                  ledgerDocId: null
                  timestamp: 2024-01-11T12:11:40.729Z
                  type: RIDER
                  riderName: Overloan Protection Rider
                  riderElected: ELECTED
                  riderCode: SBLOPR
                  effectiveDate: 2023-12-27
                  terminationDate: 2125-12-26
                  status: ACTIVE
                  coverageID: Rider_SBLOPR
                  amount: null
                  riderParticipant:
                    - insuredID: Party_PI_1
                      insuredAgeAtIssue: 18
                  charge:
                    chargeID: null
                    value: null
                    effectiveRate: null
                    nextEvaluationDate: null
                  riderExerciseCharge: null
                  maxChronicIllnessBenefitPct: null
                  maxPeriodicPaymentPeriod: null
                  claimStatus: null
                  riderExerciseChargeRate: null
                  nextEvaluationDate: null
                  riderPaymentDate: null
                  riderPaymentAmount: null
                  paymentMode: null
                  paymentOption: null
                  maxCriticalIllnessBenefitPct: null
                  t1MaxCriticalIllnessBenefitPct: null
                  t1MaxCriticalIllnessBenefitAmount: null
                  t2MaxCriticalIllnessBenefitPct: null
                  t2MaxCriticalIllnessBenefitAmount: null
                  t1CriticalRiderPaymentDate: null
                  t1CriticalRiderPaymentAmount: null
                  t2CriticalRiderPaymentDate: null
                  t2CriticalRiderPaymentAmount: null
                  terminalRiderPaymentAmount: null
                  version: 1
                - id: null
                  policyDetailsId: null
                  ledgerDocId: null
                  timestamp: 2024-01-11T12:11:40.729Z
                  type: RIDER
                  riderName: Terminal Illness Accelerated Death Benefit Rider
                  riderElected: ELECTED
                  riderCode: SBLTRM
                  effectiveDate: 2023-12-27
                  terminationDate: 2125-12-26
                  status: ACTIVE
                  coverageID: Rider_SBLTRM
                  amount: null
                  riderParticipant:
                    - insuredID: Party_PI_1
                      insuredAgeAtIssue: 18
                  charge:
                    chargeID: null
                    value: null
                    effectiveRate: null
                    nextEvaluationDate: null
                  riderExerciseCharge: null
                  maxChronicIllnessBenefitPct: null
                  maxPeriodicPaymentPeriod: null
                  claimStatus: null
                  riderExerciseChargeRate: null
                  nextEvaluationDate: null
                  riderPaymentDate: null
                  riderPaymentAmount: null
                  paymentMode: null
                  paymentOption: null
                  maxCriticalIllnessBenefitPct: null
                  t1MaxCriticalIllnessBenefitPct: null
                  t1MaxCriticalIllnessBenefitAmount: null
                  t2MaxCriticalIllnessBenefitPct: null
                  t2MaxCriticalIllnessBenefitAmount: null
                  t1CriticalRiderPaymentDate: null
                  t1CriticalRiderPaymentAmount: null
                  t2CriticalRiderPaymentDate: null
                  t2CriticalRiderPaymentAmount: null
                  terminalRiderPaymentAmount: null
                  version: 1
              systematicPrograms:
                - id: null
                  policyDetailsId: null
                  ledgerDocId: null
                  timestamp: 2024-01-11T12:11:40.730Z
                  arrType: PAYMENT
                  arrangementID: Arr_1
                  allocationOptionType: DOLLAR
                  reason: PREMIUMREASON
                  numberOfOccurrence: null
                  loanRepaymentType: null
                  disbursementType: null
                  status: ACTIVE
                  paymentForm: EFT
                  frequency: MONTHLY
                  requestedDate: 2023-12-27
                  startDate: 2024-01-27
                  endDate: 2043-11-27
                  lastActivityDate: 2023-12-27
                  nextActivityDate: 2024-01-27
                  amountType: AMOUNT
                  amount: 80
                  payors:
                    - partyRole: Payee
                      partyID: Party_PI_1
                      bankId: Bank_1
                      percentage: 100
                  payees: null
                  version: 1
              policyFeatures:
                - id: null
                  policyDetailsId: null
                  ledgerDocId: null
                  timestamp: 2024-01-11T12:11:40.733Z
                  featureType: freeLook
                  startDate: null
                  endDate: 2024-01-26
                  status: null
                  period: 30
                  effectiveDate: null
                  totalRequiredAmount: null
                  totalMinimumRequiredAmount: null
                  paymentAmount: null
                  totalPaymentAmount: null
                  uwDecision: null
                  approvalDate: null
                  version: 1
                - id: null
                  policyDetailsId: null
                  ledgerDocId: null
                  timestamp: 2024-01-11T12:11:40.733Z
                  featureType: lapseAssessment
                  startDate: null
                  endDate: null
                  status: false
                  period: null
                  effectiveDate: null
                  totalRequiredAmount: null
                  totalMinimumRequiredAmount: null
                  paymentAmount: null
                  totalPaymentAmount: null
                  uwDecision: null
                  approvalDate: null
                  version: 1
                - id: null
                  policyDetailsId: null
                  ledgerDocId: null
                  timestamp: 2024-01-11T12:11:40.733Z
                  featureType: lapseProtection
                  startDate: 2023-12-27
                  endDate: 2043-12-26
                  status: null
                  period: 20
                  effectiveDate: null
                  totalRequiredAmount: null
                  totalMinimumRequiredAmount: null
                  paymentAmount: 51.78
                  totalPaymentAmount: 51.78
                  uwDecision: null
                  approvalDate: null
                  version: 1
                - id: null
                  policyDetailsId: null
                  ledgerDocId: null
                  timestamp: 2024-01-11T12:11:40.733Z
                  featureType: reinstatement
                  startDate: null
                  endDate: null
                  status: null
                  period: null
                  effectiveDate: null
                  totalRequiredAmount: null
                  totalMinimumRequiredAmount: null
                  paymentAmount: null
                  totalPaymentAmount: null
                  uwDecision: null
                  approvalDate: null
                  version: 1
              allocation:
                id: null
                policyDetailsId: null
                ledgerDocId: null
                timestamp: 2024-01-11T12:11:40.732Z
                investmentType: INVESTMENTFUND
                modelName: null
                modelID: null
                fundAllocationsInvestments:
                  - fundID: FundAccount1
                    fundName: Everly Fixed Fund UL2
                    fundAccountType: null
                    allocPercent: 100
                    startDate: 2023-12-27
                    endDate: null
                funds:
                  - fundAccountType: null
                    fundID: FundAccount1
                    fundName: Fixed Fund
                    glFundCode: V2201
                    totalFundValue: 60.759837
                    fundSegments:
                      - segmentID: "1"
                        fundID: null
                        originalDepositAmount: 80
                        originalDepositDate: 2023-12-27
                        depositDate: 2024-11-04
                        depositAmount: 25
                        currentAmount: 60.759837
                        renewalDate: null
                        numberOfUnits: null
                        sweepAccountID: null
                        startDate: 2023-12-27
                        endDate: null
                matchSegment:
                  segmentID: Match1
                  matchAccountValue: 1.05129
                  cumulativeMatchPaymentAmount: 1.05
                  ytdMatchValue: 1.05
                  maxLifeTimeVestingAmount: 500
                  maxAnnVestingAmount: 500
                  minPaymentsForMatch: 0
                  matchVestingDate: 2034-12-26
                  glFundCode: V2201
                  vestingPeriod: 10
                loanSegments: []
                version: 1
              version: 40
          error: null
    failureTransactionResponse:
      value:
        status: failure
        validationResult:
          - errorCode: BPM.NM.005
            attribute: null
            error: Amount request is invalid.
            resolution: Please check the One Time Premium Amount and submit the request
              again.
          - errorCode: BPM.NM.003
            attribute: null
            error: Party information does not match with information in the Zahara system.
            resolution: Please validate the party information and submit the request again.
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.qa.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://qa.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://qa.api.zinnia.io
          client_id:
            - client_id
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
